Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 13 May 2003 05:46:18 -0700 (PDT)
From:      Dag-Erling Smorgrav <des@FreeBSD.org>
To:        Perforce Change Reviews <perforce@freebsd.org>
Subject:   PERFORCE change 31070 for review
Message-ID:  <200305131246.h4DCkIM8006894@repoman.freebsd.org>

next in thread | raw e-mail | index | archive | help
http://perforce.freebsd.org/chv.cgi?CH=31070

Change 31070 by des@des.at.des.thinksec.com on 2003/05/13 05:45:45

	Build everything (rather than just the man pages) so the release
	will fail if the code won't build.  Finish the release by showing
	the MD5 checksum of the tarball.

Affected files ...

.. //depot/projects/openpam/dist.sh#6 edit

Differences ...

==== //depot/projects/openpam/dist.sh#6 (text+ko) ====

@@ -1,21 +1,26 @@
 #!/bin/sh
 #
-# $P4: //depot/projects/openpam/dist.sh#5 $
+# $P4: //depot/projects/openpam/dist.sh#6 $
 #
 
 set -e
 
 release=$(date '+%Y%m%d')
 distname="openpam-${release}"
+tarball="${distname}.tar.gz"
 
 make cleandir
 make cleandir
-(cd doc/man && make)
+make depend && make
 install -d -m 0755 "${distname}"
 grep -v '^#' MANIFEST | while read file; do
-    install -d -m 0755 "${distname}/$(dirname ${file})"
-    install -c -m 0644 "${file}" "${distname}/${file}"
+    install -d -m 0755 "${distname}/$(dirname ${file})" || exit 1
+    install -c -m 0644 "${file}" "${distname}/${file}" || exit 1
 done
-tar zcf "${distname}.tar.gz" "${distname}"
+tar zcf "${tarball}" "${distname}"
 rm -rf "${distname}"
 make cleandir
+make cleandir
+
+echo
+md5 "${tarball}"



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200305131246.h4DCkIM8006894>